Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class SlotValuator

    java.lang.Object
      com.hp.hpl.jena.graph.query.SlotValuator

All Implemented Interfaces:
  Valuator

    public class SlotValuator

extends java.lang.Object
implements Valuator

A SlotValuator evaluates to a specific slot in the index values bindings.

Author:
  hedgehog

Constructor Summary
`SlotValuator(int index)` Initialise this SlotValuator with the index to use for lookup.

Method Summary
`boolean` | `evalBool(IndexValues iv)` Answer the primitive boolean value of the `index`th element of the index value bindings, which must be a `Boolean` value.
`java.lang.Object` | `evalObject(IndexValues iv)` Answer the value of the `index`th element of the index values bindings.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotValuator

    public SlotValuator(int index)

  Initialise this SlotValuator with the index to use for lookup.

Method Detail

### evalObject

    public java.lang.Object evalObject(IndexValues iv)

  Answer the value of the `index`th element of the index values bindings.

  Specified by:
    `evalObject` in interface `Valuator`
  Parameters:
    `iv` - the mapping from variable (indexes) to values

### evalBool

    public boolean evalBool(IndexValues iv)

  Answer the primitive boolean value of the `index`th element of the index value bindings, which must be a `Boolean` value.

  Specified by:
    `evalBool` in interface `Valuator`
  Parameters:
    `iv` - the mapping from variable (indexes) to values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP